import java.util.BitSet;

public class VFDChar {
  private static int WIDTH  = 5;
  private static int HEIGHT = 7;

  private boolean isUnderlined_;
  private BitSet dots_;

  public VFDChar() {
    dots_ = new BitSet(WIDTH * HEIGHT);
    isUnderlined_ = false;
  }
  
  public static int width()            { return WIDTH; }
  public static int height()           { return HEIGHT; }

  public boolean isUnderlined() { return isUnderlined_; }

  public boolean getDot(int x, int y) {
    int i = x + y*WIDTH;
    Util.assert(i >= 0 && i < WIDTH * HEIGHT);
    return dots_.get(i);
  }

  public void setDot(int x, int y, boolean b) {
    int i = x + y*WIDTH;
    Util.assert(i >= 0 && i < WIDTH * HEIGHT);
    if (b) dots_.set(i);
    else   dots_.clear(i);
  }

  public void setAllDots() {
    isUnderlined_ = true;
    for (int i = 0; i < dots_.size(); i++) 
      dots_.set(i);
  }

  public void clearAllDots() {
    isUnderlined_ = false;
    for (int i = 0; i < dots_.size(); i++) 
      dots_.clear(i);

  }

  public void setUnderline(boolean b) {
    isUnderlined_ = b;
  }

  public String toString() {
    return dots_.toString();
  }
}
